###################################################
### chunk number 1: 
###################################################
#line 61 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
swiss2.lm <- lm(Fertility ~ poly(Agriculture, Education, degree=2), data=swiss)


###################################################
### chunk number 2: basics
###################################################
#line 65 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
library(rsm)
par(mfrow=c(1,3))
image(swiss2.lm, Education ~ Agriculture)
contour(swiss2.lm, Education ~ Agriculture)
persp(swiss2.lm, Education ~ Agriculture, zlab = "Fertility")


###################################################
### chunk number 3: lessbas
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
persp(swiss2.lm, Education ~ Agriculture, col = "blue", 
  bounds = list(Agriculture=c(20,70), Education=c(0,30)),
  zlab = "Predicted Fertility", contours = list(z="top", col="orange"), 
  theta = -145, phi = 35, shade = 1)


###################################################
### chunk number 4: 
###################################################
#line 99 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
heli.rsm <- rsm(ave ~ block + SO(x1,x2,x3,x4), data = heli)


###################################################
### chunk number 5: cont1
###################################################
#line 116 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
par(mfrow = c(2,3))
contour (heli.rsm, ~ x1 + x2 + x3 + x4)


###################################################
### chunk number 6: 
###################################################
#line 132 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
xs <- canonical(heli.rsm)$xs
myhook <- list()
myhook$post.plot <- function(lab) {
  idx <- sapply(lab[3:4], grep, names(xs))
  points (xs[idx[1]], xs[idx[2]], pch=2, col="red")
}


###################################################
### chunk number 7: cont2
###################################################
#line 144 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
par(mfrow = c(2,3))
contour (heli.rsm, ~ x1 + x2 + x3 + x4, image = TRUE,
  at = xs, hook = myhook)


###################################################
### chunk number 8:  eval=FALSE
###################################################
## #line 153 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
## pdf(file = "heli-cps.pdf")
## contour (heli.rsm, ~ x1 + x2 + x3 + x4, image = TRUE, at = xs, hook = myhook)
## dev.off()


###################################################
### chunk number 9:  eval=FALSE
###################################################
## #line 166 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
## png.hook <- list()
## png.hook$pre.plot <- function(lab) 
##     png(file = paste(lab[3], lab[4], ".png", sep = ""))
## png.hook$post.plot = function(lab)
##     dev.off()
## contour (heli.rsm, ~ x1 + x2 + x3 + x4, image = TRUE, at = xs, hook = png.hook)


###################################################
### chunk number 10: persp
###################################################
#line 190 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm-plots.Rtex"
persp (heli.rsm, ~ x1 + x2 + x3 + x4, at = xs, 
  col = rainbow(50), contours = "colors")


