###################################################
### chunk number 1: 
###################################################
#line 95 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
library("rsm")
ChemReact


###################################################
### chunk number 2: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
CR <- coded.data(ChemReact, x1 ~ (Time - 85)/5, x2 ~ (Temp - 175)/5)
CR[1:7,]


###################################################
### chunk number 3: 
###################################################
#line 109 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
code2val(data.frame(x1 = c(0.25, 0.5), x2 = c(-1.5, -0.5)),
  attr(CR, "codings"))


###################################################
### chunk number 4: 
###################################################
#line 118 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
bbd(3, n0 = 2, coding =
  list(x1 ~ (Force - 20)/3, x2 ~ (Rate - 50)/10, x3 ~ Polish - 4))


###################################################
### chunk number 5: 
###################################################
#line 180 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
ccd.pick(5, n.c = c(8, 16), blks.c = c(1, 2, 4),
  wbr.s = 1:2, restrict = "N<=65")


###################################################
### chunk number 6: 
###################################################
#line 193 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
des1 <- ccd (y1 + y2 ~ A + B + C + D,
  generators = E ~ - A * B * C * D, n0 = c(6, 1))


###################################################
### chunk number 7: 
###################################################
#line 201 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
des10 <- ccd( ~ A + B + C + D + E,
  blocks = Blk ~ c(A * B * C, C * D * E), n0 = c(2, 4))


###################################################
### chunk number 8: 
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
ccd(2, n0 = c(1,1), inscribed=TRUE, randomize=FALSE)


###################################################
### chunk number 9: 
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
CR.rsm1 <- rsm(Yield ~ FO(x1, x2), data = CR, subset = (Block == "B1"))
summary(CR.rsm1)


###################################################
### chunk number 10: 
###################################################
#line 236 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
CR.rsm1.5 <- update(CR.rsm1, . ~ . + TWI(x1, x2))
summary(CR.rsm1.5)


###################################################
### chunk number 11: 
###################################################
#line 243 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
CR.rsm2 <- rsm(Yield ~ Block + SO(x1, x2), data = CR)
summary(CR.rsm2)


###################################################
### chunk number 12: 
###################################################
#line 252 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
heli.rsm <- rsm(ave ~ block + SO(x1, x2, x3, x4), data = heli)
summary(heli.rsm)


###################################################
### chunk number 13: fig6
###################################################
#line 268 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
par(mfrow = c(2, 3))
contour(heli.rsm, ~ x1 + x2 + x3 + x4, image = TRUE,
  at = summary(heli.rsm)$canonical$xs)


###################################################
### chunk number 14: 
###################################################
#line 284 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
steepest(CR.rsm1, dist = c(0, 0.5, 1))


###################################################
### chunk number 15: 
###################################################
#line 294 "d:/Rcompile/CRANpkg/local/2.12/rsm/inst/doc/rsm.Rtex"
canonical.path(heli.rsm, dist = seq(-5, 5, by = 0.5))


